Skip to main content
GET
/
members
/
info
/
{userId}
Get Member Info
curl --request GET \
  --url https://api.series.hr/members/info/{userId} \
  --header 'apikey: <api-key>'
Get detailed information about a specific workspace member including username, display name, avatar, status, description, and birthdate.

Request

curl -X GET https://api.series.hr/members/info/725105221 \
  -H "apikey: YOUR_API_KEY"

Parameters

userId
string
required
The Roblox user ID to get member information for

Response

200
{
  "success": true,
  "data": {
    "UserId": "725105221",
    "Username": "vrtualmxrc",
    "DisplayName": "marc",
    "Avatar": "https://tr.rbxcdn.com/30DAY-AvatarHeadshot-23A61E9B45D197A97BE2B8B5E08CC603-Png/420/420/AvatarHeadshot/Png/noFilter",
    "Status": "active",
    "Description": ".",
    "BirthDate": "06-28"
  }
}
401
{
  "success": false,
  "error": {
    "message": "API key is required"
  }
}
403
{
  "success": false,
  "error": {
    "message": "API key invalid or workspace suspended"
  }
}
404
{
  "success": false,
  "error": {
    "message": "User is not a member of this workspace or account not found"
  }
}

Response Fields

UserId
string
The Roblox user ID
Username
string
The user’s Roblox username
DisplayName
string
The user’s display name
Avatar
string
URL to the user’s avatar headshot image (if available)
Status
string
The user’s account status (e.g., “active”)
Description
string
The user’s profile description (if available)
BirthDate
string
The user’s birth date in MM-DD format (only if set in account). Example: “06-28” for June 28th

Authorizations

apikey
string
header
required

Pass your API key in the apikey header. Alternatively, the x-api-key header is also accepted.

Path Parameters

userId
string
required

Response

200

Member information